You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@bigtop.apache.org by rv...@apache.org on 2013/10/17 00:06:27 UTC

[1/2] git commit: BIGTOP-1119. phoenix DEB packages differ in a few ways from RPM counterparts

Updated Branches:
  refs/heads/master d32156001 -> b4eda8105


BIGTOP-1119. phoenix DEB packages differ in a few ways from RPM counterparts


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/93e435f1
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/93e435f1
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/93e435f1

Branch: refs/heads/master
Commit: 93e435f158b7f4ad349ded5e96a477cb489ffc25
Parents: d321560
Author: Roman Shaposhnik <rv...@cloudera.com>
Authored: Wed Oct 16 14:56:01 2013 -0700
Committer: Roman Shaposhnik <rv...@cloudera.com>
Committed: Wed Oct 16 14:56:01 2013 -0700

----------------------------------------------------------------------
 bigtop-packages/src/deb/phoenix/control         |  2 +-
 .../src/deb/phoenix/phoenix.postinst            | 35 ++++++++++++
 bigtop-packages/src/deb/phoenix/phoenix.prerm   | 57 ++++++++++++++++++++
 3 files changed, 93 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/93e435f1/bigtop-packages/src/deb/phoenix/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/phoenix/control b/bigtop-packages/src/deb/phoenix/control
index 4eff48d..ee72218 100644
--- a/bigtop-packages/src/deb/phoenix/control
+++ b/bigtop-packages/src/deb/phoenix/control
@@ -24,7 +24,7 @@ Homepage: https://github.com/forcedotcom/phoenix
 Package: phoenix
 Architecture: all
 Depends: zookeeper, hadoop, hadoop-mapreduce, hadoop-yarn, hbase, bigtop-utils (>= 0.7)
-Description: Phoenix is a SQL skin over HBase
+Description: Phoenix is a SQL skin over HBase and client-embedded JDBC driver.
  Phoenix is a SQL skin over HBase delivered as a client-embedded JDBC driver.
  The Phoenix query engine transforms an SQL query into one or more HBase scans,
  and orchestrates their execution to produce standard JDBC result sets. Direct

http://git-wip-us.apache.org/repos/asf/bigtop/blob/93e435f1/bigtop-packages/src/deb/phoenix/phoenix.postinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/phoenix/phoenix.postinst b/bigtop-packages/src/deb/phoenix/phoenix.postinst
new file mode 100644
index 0000000..9baedab
--- /dev/null
+++ b/bigtop-packages/src/deb/phoenix/phoenix.postinst
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# postinst script for phoenix
+
+set -e
+
+case "$1" in
+    configure)
+        update-alternatives --install /etc/phoenix/conf phoenix-conf /etc/phoenix/conf.dist 30
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#

http://git-wip-us.apache.org/repos/asf/bigtop/blob/93e435f1/bigtop-packages/src/deb/phoenix/phoenix.prerm
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/phoenix/phoenix.prerm b/bigtop-packages/src/deb/phoenix/phoenix.prerm
new file mode 100644
index 0000000..93b9cd6
--- /dev/null
+++ b/bigtop-packages/src/deb/phoenix/phoenix.prerm
@@ -0,0 +1,57 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# prerm script for phoenix
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+      update-alternatives --remove phoenix-conf /etc/phoenix/conf.dist || :
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


[2/2] git commit: BIGTOP-1115. update package test manifest for Bigtop 0.7.0

Posted by rv...@apache.org.
BIGTOP-1115. update package test manifest for Bigtop 0.7.0


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/b4eda810
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/b4eda810
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/b4eda810

Branch: refs/heads/master
Commit: b4eda810534f964c70c201f853161ca80272b6d0
Parents: 93e435f
Author: Roman Shaposhnik <rv...@cloudera.com>
Authored: Wed Oct 16 15:04:35 2013 -0700
Committer: Roman Shaposhnik <rv...@cloudera.com>
Committed: Wed Oct 16 15:04:35 2013 -0700

----------------------------------------------------------------------
 bigtop-packages/src/deb/hive/control            | 10 ++--
 .../package/src/main/resources/package_data.xml | 51 +++++++++-----------
 2 files changed, 29 insertions(+), 32 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/b4eda810/bigtop-packages/src/deb/hive/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/hive/control b/bigtop-packages/src/deb/hive/control
index adf2858..69ebb32 100644
--- a/bigtop-packages/src/deb/hive/control
+++ b/bigtop-packages/src/deb/hive/control
@@ -67,13 +67,17 @@ Description: Provides libraries necessary to connect to Apache Hive via JDBC
 Package: hive-hcatalog
 Architecture: all
 Depends: hadoop, hive, bigtop-utils (>= 0.6)
-Description: Apache HCatalog is a table and storage management service.
+Description: Apache Hcatalog is a data warehouse infrastructure built on top of Hadoop.
  Apache HCatalog is a table and storage management service for data created using Apache Hadoop.
+ This includes:
+   * Providing a shared schema and data type mechanism.
+   * Providing a table abstraction so that users need not be concerned with where or how their data is stored.
+   * Providing interoperability across data processing tools such as Pig, Map Reduce, Streaming, and Hive.
 
 Package: hive-hcatalog-server
 Architecture: all
 Depends: hive-hcatalog (= ${source:Version})
-Description: Server for HCatalog.
+Description: Init scripts for HCatalog server.
  Init scripts for HCatalog server
 
 Package: hive-webhcat
@@ -85,5 +89,5 @@ Description: WebHcat provides a REST-like web API for HCatalog and related Hadoo
 Package: hive-webhcat-server
 Architecture: all
 Depends: hive-webhcat (= ${source:Version})
-Description: Server for WebHcat.
+Description: Init scripts for WebHcat server.
  Init scripts for WebHcat server

http://git-wip-us.apache.org/repos/asf/bigtop/blob/b4eda810/bigtop-tests/test-artifacts/package/src/main/resources/package_data.xml
----------------------------------------------------------------------
diff --git a/bigtop-tests/test-artifacts/package/src/main/resources/package_data.xml b/bigtop-tests/test-artifacts/package/src/main/resources/package_data.xml
index 41f1c2e..69922e5 100644
--- a/bigtop-tests/test-artifacts/package/src/main/resources/package_data.xml
+++ b/bigtop-tests/test-artifacts/package/src/main/resources/package_data.xml
@@ -393,15 +393,10 @@ easy to test, and efficient to run.</description>
   </crunch-doc>
   <hive-hcatalog>
     <metadata>
-      <summary>Apache Hcatalog (incubating) is a data warehouse infrastructure built on top of Hadoop</summary>
-      <description>
-Apache HCatalog (incubating) is a table and storage management service for data created using Apache Hadoop.
-This includes:
-    * Providing a shared schema and data type mechanism.
-    * Providing a table abstraction so that users need not be concerned with where or how their data is stored.
-    * Providing interoperability across data processing tools such as Pig, Map Reduce, Streaming, and Hive.
+      <summary>Apache Hcatalog is a data warehouse infrastructure built on top of Hadoop</summary>
+      <description>Apache HCatalog is a table and storage management service for data created using Apache Hadoop. This includes: * Providing a shared schema and data type mechanism. * Providing a table abstraction so that users need not be concerned with where or how their data is stored. * Providing interoperability across data processing tools such as Pig, Map Reduce, Streaming, and Hive.
       </description>
-      <url>http://incubator.apache.org/hcatalog</url>
+      <url>http://hive.apache.org/</url>
     </metadata>
     <deps>
       <hadoop/>
@@ -409,19 +404,19 @@ This includes:
       <hive/>
     </deps>
     <alternatives>
-      <hcatalog-conf>
+      <hive-hcatalog-conf>
         <status>auto</status>
-        <value>/etc/hcatalog/conf.dist</value>
-        <link>/etc/hcatalog/conf</link>
-        <alt>/etc/hcatalog/conf.dist</alt>
-      </hcatalog-conf>
+        <value>/etc/hive-hcatalog/conf.dist</value>
+        <link>/etc/hive-hcatalog/conf</link>
+        <alt>/etc/hive-hcatalog/conf.dist</alt>
+      </hive-hcatalog-conf>
     </alternatives>
   </hive-hcatalog>
   <hive-hcatalog-server>
     <metadata>
-      <summary>Server for HCatalog.</summary>
-      <description>Server for HCatalog.</description>
-      <url>http://incubator.apache.org/hcatalog</url>
+      <summary>Init scripts for HCatalog server</summary>
+      <description>Init scripts for HCatalog server</description>
+      <url>http://hive.apache.org/</url>
     </metadata>
     <deps>
       <hive-hcatalog>/self</hive-hcatalog>
@@ -566,29 +561,27 @@ This includes:
   </hive-hbase>
   <hive-webhcat>
     <metadata>
-      <summary>WEBHcat provides a REST-like web API for HCatalog and related Hadoop components.</summary>
-      <description>
-WEBHcat provides a REST-like web API for HCatalog and related Hadoop components.
-      </description>
-      <url>http://incubator.apache.org/hcatalog</url>
+      <summary>WebHcat provides a REST-like web API for HCatalog and related Hadoop components.</summary>
+      <description>WebHcat provides a REST-like web API for HCatalog and related Hadoop components.</description>
+      <url>http://hive.apache.org/</url>
     </metadata>
     <deps>
       <hive-hcatalog>/self</hive-hcatalog>
     </deps>
     <alternatives>
-      <webhcat-conf>
+      <hive-webhcat-conf>
         <status>auto</status>
-        <value>/etc/webhcat/conf.dist</value>
-        <link>/etc/webhcat/conf</link>
-        <alt>/etc/webhcat/conf.dist</alt>
-      </webhcat-conf>
+        <value>/etc/hive-webhcat/conf.dist</value>
+        <link>/etc/hive-webhcat/conf</link>
+        <alt>/etc/hive-webhcat/conf.dist</alt>
+      </hive-webhcat-conf>
     </alternatives>
   </hive-webhcat>
   <hive-webhcat-server>
     <metadata>
-      <summary>Server for WEBHcat.</summary>
-      <description>Server for WEBHcat.</description>
-      <url>http://incubator.apache.org/hcatalog</url>
+      <summary>Init scripts for WebHcat server</summary>
+      <description>Init scripts for WebHcat server.</description>
+      <url>http://hive.apache.org/</url>
     </metadata>
     <deps>
       <hive-webhcat>/self</hive-webhcat>